# Class CheckConnectionsRequest

#### Hierarchy

- unknown
  - CheckConnectionsRequest

- Defined in src/protobuf/grpc_pb.d.ts:1026
- Defined in src/protobuf/grpc_pb.d.ts:1035

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CheckConnectionsRequest(): CheckConnectionsRequest

- #### Returns CheckConnectionsRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1027

### toObject

- toObject(includeInstance?: boolean): CheckConnectionsRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CheckConnectionsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1028

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CheckConnectionsRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CheckConnectionsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1031

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CheckConnectionsRequest, reader: BinaryReader): CheckConnectionsRequest

- #### Parameters

  - ##### message: CheckConnectionsRequest

  - ##### reader: BinaryReader

  #### Returns CheckConnectionsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1032

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CheckConnectionsRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CheckConnectionsRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1030

### `Static` toObject

- toObject(includeInstance: boolean, msg: CheckConnectionsRequest): CheckConnectionsRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CheckConnectionsRequest

  #### Returns CheckConnectionsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1029

Generated using TypeDoc